Next: Global Options Up: Opie-sh Howto Previous: Usage Contents

# Input Dialog

The input dialog ``-i'' is designed for getting more specific input from the user. It works by printing a string to stdin. The number of strings depends upon which type of input dialog you are using, of which there are three. If the user selects the built in ``Ok'' button on the dialog, the return code is 0, and if they select the built in ``x'', then it is -1, and no output is given.

Subsections

- Global Options
- Single line input
- List input
  - Special flags
  - File input
- List box input